## org.apache.mahout.math.hadoop.decomposer
Class EigenVector

    java.lang.Object
      org.apache.mahout.math.AbstractVector
          org.apache.mahout.math.DenseVector
              org.apache.mahout.math.hadoop.decomposer.EigenVector

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Iterable<Vector.Element>, Vector

    public class EigenVector

extends DenseVector

TODO this is a horrible hack. Make a proper writable subclass also.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.mahout.math.AbstractVector
`AbstractVector.LocalElement`

Nested classes/interfaces inherited from interface org.apache.mahout.math.Vector
`Vector.Element`

Field Summary

Fields inherited from class org.apache.mahout.math.AbstractVector
`lengthSquared`

Constructor Summary
`EigenVector(DenseVector v, double eigenValue, double cosAngleError, int order)`

Method Summary
`double` `getCosAngleError()`
`double` `getEigenValue()`
`int` `getIndex()`
`protected double[]` `parseMetaData()`

Methods inherited from class org.apache.mahout.math.DenseVector
`addAll, addTo, assign, assign, clone, dot, dotSelf, equals, getLengthSquared, getNumNondefaultElements, getQuick, isDense, isSequentialAccess, iterateNonZero, iterator, like, matrixLike, setQuick, viewPart`

Methods inherited from class org.apache.mahout.math.AbstractVector
`aggregate, aggregate, asFormatString, assign, assign, assign, assign, cross, decodeVector, divide, get, getDistanceSquared, getElement, hashCode, logNormalize, logNormalize, logNormalize, maxValue, maxValueIndex, minus, minValue, minValueIndex, norm, normalize, normalize, plus, plus, set, size, times, times, toString, zSum`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EigenVector

    public EigenVector(DenseVector v,
                       double eigenValue,
                       double cosAngleError,
                       int order)

Method Detail

### getEigenValue

    public double getEigenValue()

### getCosAngleError

    public double getCosAngleError()

### getIndex

    public int getIndex()

### parseMetaData

    protected double[] parseMetaData()

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.